Class | RSS::Maker::RSS20::Items::Item::Source
In: | rss/maker/2.0.rb
Parent: | RSS09::Items::Item::Source

### Methods

have_required_values? to_rss

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/2.0.rb, line 131
                def have_required_values?
                  @url and @content
                end

to_rss(rss, item)

[Source]

    # File rss/maker/2.0.rb, line 122
                def to_rss(rss, item)
                  source = Rss::Channel::Item::Source.new
                  set = setup_values(source)
                  if set
                    item.source = source
                    setup_other_elements(rss)
                  end
                end

[Validate]